<template>
  <app-frame :tabs="tabs">
    <img src="https://webapp-pub.ezijing.com/www/pc/news/news.png" class="banner" />
    <template #article>
      <article-list v-bind="listOptions"></article-list>
    </template>
  </app-frame>
</template>

<script>
import AppFrame from '@/components/AppFrame'
import navList from '@/assets/studyAbroadNavList.js'
import ArticleList from '@/components/ArticleList'
import { getArticleList } from '@/api'

export default {
  components: { AppFrame, ArticleList },
  data() {
    return {
      tabs: navList
    }
  },
  computed: {
    listOptions() {
      return {
        remote: {
          httpRequest: getArticleList,
          params: {
            project_ids: ['25634964940156928', '25634688011239424', '6886139536666001408', '62110451281973248'],
            type_tag: 'article_news_hot'
          }
        },
        to(item) {
          return { name: 'studyAbroad-news-id', params: { id: item.id } }
        }
      }
    }
  }
}
</script>
